> For the complete documentation index, see [llms.txt](https://docs.flxbl.io/flxbl/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flxbl.io/flxbl/sfp/environment-management/sandbox/create-sandbox.md).

# Create Sandbox

This command creates a new sandbox org from a source org (production or another sandbox). You can specify the sandbox configuration using command-line options or a definition file.

### Usage

```sh-session
$ sfp sandbox:create -v <string> -n <string> -s <string> [flags]
$ sfp org:create:sandbox -v <string> -n <string> -s <string> [flags]
```

### Flags

| Flag                                 | Required                    | Description                               |
| ------------------------------------ | --------------------------- | ----------------------------------------- |
| `-v, --targetdevhubusername=<value>` | No                          | Username or alias of the production org   |
| `-n, --name=<value>`                 | Yes (if no definition file) | Name of the sandbox to create             |
| `-s, --sourcesandbox=<value>`        | No                          | Name of the source sandbox to clone       |
| `-f, --definition-file=<value>`      | No                          | Path to a sandbox definition file         |
| `-d, --description=<value>`          | No                          | Description of the sandbox                |
| `--json`                             | No                          | Format output as JSON                     |
| `--loglevel=<option>`                | No                          | Logging level for this command invocation |

### Examples

```sh-session
$ sfp sandbox:create -v MyDevHub -n MySandbox1 -s SourceSandbox
```

### Sandbox Definition File

If using a definition file, create a JSON file (default location: `config/sandbox-def.json`) with the following structure:

```json
{
  "sandboxName": "MySandbox",
  "description": "My sandbox description",
  "sourceSandbox": "SourceSandboxName",
  "apexClassId": "01p...",
  "autoActivate": true,
  "copyChatter": true,
  "copyArchivedActivities": true,
  "licenseType": "Developer",
  "templateId": "0TT...",
  "historyDays": 0
}
```

Note: When using a definition file, the `--name` and `--sourcesandbox` flags are ignored.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flxbl.io/flxbl/sfp/environment-management/sandbox/create-sandbox.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
